
Core - Bug # 43080

Status: Closed Priority: Must have
Author: Philipp Gampe Category: Extension Manager
Created: 2012-11-18 Assigned To:
Updated: 2015-01-09 Due date:
TYPO3 Version: 6.0
PHP Version: 5.4
Complexity: medium
Is Regression: No
Sprint Focus:
Subject: Can not install extension if mirror list can not be fetched
Description

    -  Let the mirror list expire by not updating the extension list for several days (or make the extensionmanager believe it needs to
fetch the mirror list on next run)
    -  try to install a local extension
    -  fatal error

History
#1 - 2012-11-18 19:15 - Philipp Gampe

Strange, since I update the extension list, this works without problems. I truncated the extension list, removed all files from typo3temo and reset the
timestamp, but I can not reproduce the error any more.

This was the error (found it in sys_log), but unfortunately the stack trace has been lost :(

Core: Exception handler (WEB): Uncaught TYPO3 Exception: #1342635425: Could not access remote resource
http://repositories.typo3.org/mirrors.xml.gz. | TYPO3\CMS\Extensionmanager\Exception\ExtensionManagerException thrown in file
/home/phil/t3-playground/t3-git/typo3/sysext/extensionmanager/Classes/Utility/Repository/Helper.php in line 149. Requested URL:
http://localhost/t3-playground/dummy/typo3/mod.php?M=tools_ExtensionmanagerExtensionmanager&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bextension%5D=schemaker&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Baction%5D=toggleExtensionInstallationState&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bcontroller%5D=Action

anagerextensionmanager%5Bextension%5D=schemaker&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Baction%5D=toggleExtensionInstallationState&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bcontroller%5D=Action

toggleExtensionInstallationState&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bcontroller%5D=Action

Core: Exception handler (WEB): Uncaught TYPO3 Exception: #1342635425: Could not access remote resource
http://repositories.typo3.org/mirrors.xml.gz. | TYPO3\CMS\Extensionmanager\Exception\ExtensionManagerException thrown in file
/home/phil/t3-playground/t3-git/typo3/sysext/extensionmanager/Classes/Utility/Repository/Helper.php in line 151. Requested URL:
http://localhost/t3-playground/dummy/typo3/mod.php?M=tools_ExtensionmanagerExtensionmanager&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bextension%5D=schemaker&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Baction%5D=toggleExtensionInstallationState&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bcontroller%5D=Action

anagerextensionmanager%5Bextension%5D=schemaker&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Baction%5D=toggleExtensionInstallationState&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bcontroller%5D=Action

toggleExtensionInstallationState&tx_extensionmanager_tools_extensionmanagerextensionmanager%5Bcontroller%5D=Action

The line  difference is from a git pull in between.

#2 - 2012-11-18 19:34 - Philipp Gampe

This does happen only if a dependency is not fulfilled, e.g. install https://github.com/NamelessCoder/schemaker without having flux installed.
#3 - 2012-11-19 09:15 - Patrick Broens
- Target version set to 6.0.0
- Complexity set to medium

#4 - 2012-11-27 01:20 - Philipp Gampe

Forgot the add my investigations ... this happens only if you have no network connection.

#5 - 2015-01-09 11:54 - Mathias Schreiber
- Status changed from New to Closed
- Is Regression set to No

Taken into account in #63909.
The issues are not linked on purpose, so the refactoring ticket does not get bloated with relations.
